## ListWorkflowExecutionOutputs **post** `/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs` Lists outputs produced by workflow execution actions. Use this method to: - Retrieve test results, coverage metrics, or other structured data from executions - Aggregate outputs across multiple workflow executions - Build dashboards or reports from execution data ### Examples - List outputs for a workflow execution: Retrieves all outputs produced by actions in the specified execution. ```yaml filter: workflowExecutionIds: ["d2c94c27-3b76-4a42-b88c-95a85e392c68"] pagination: pageSize: 50 ``` ### Query Parameters - `token: optional string` - `pageSize: optional number` ### Body Parameters - `filter: optional object { workflowExecutionIds }` - `workflowExecutionIds: optional array of string` - `pagination: optional object { token, pageSize }` - `token: optional string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize: optional number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `outputs: optional array of object { actionId, values }` - `actionId: optional string` - `values: optional map[object { boolValue, floatValue, intValue, stringValue } ]` - `boolValue: optional boolean` - `floatValue: optional number` - `intValue: optional string` - `stringValue: optional string` - `pagination: optional object { nextToken }` - `nextToken: optional string` Token passed for retrieving the next set of results. Empty if there are no more results ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "outputs": [ { "actionId": "actionId", "values": { "foo": { "boolValue": true, "floatValue": 0, "intValue": "intValue", "stringValue": "stringValue" } } } ], "pagination": { "nextToken": "nextToken" } } ```